var init = function () {
    var queryStringObject = NL.Common.Url.getQueryStringObject({
        isLowerCase: true
    });
    var type = queryStringObject.type || 'default';

    var runHtmlCode = function (pHtmlCode) {
        document.getElementById('container-main').innerHTML = pHtmlCode;
    };
    var runJsCode = function (pJsCode) {
        try {
            eval(pJsCode);
        }
        catch (e) {
            console.error(e);
        }
    };

    var process_type_default = function () {
        var code = window.name;
        var htmlCode = utils.getHtmlCode(code);
        var jsCode = utils.getJsCode(code);

        runHtmlCode(htmlCode);
        runJsCode(jsCode);
    };

    var process_type_001 = function () {
        var urlList = _.chain(dataBase.allRunMochaEntityList)
            .map(function (m) {
                return NL.Common.Url.join('../from-source-code/', m.path);
            })
            .value();

        var promiseList = _.chain(urlList)
            .map(function (url) {
                return NL.OtherLib.Q.when()
                    .then(function () {
                        return $.ajax({url: url, dataType: 'text'});
                    })
                    .then(
                        function (data) {
                            return NL.OtherLib.Q.when({code: data});
                        },
                        function () {
                            console.error(arguments);
                        }
                    );
            })
            .value();

        NL.OtherLib.Q
            .all(promiseList)
            .then(function (list) {
                mocha.setup({ui: 'bdd', timeout: 10000});

                _.each(list, function (m) {
                    var code = m.code;
                    eval(code);
                });

                mocha.run();
            })
            .catch(function (ex) {
                console.error(ex);
            })
        ;

    };

    var process_type_002 = function () {
        var path = decodeURIComponent(queryStringObject.path);
        path = '../from-source-code/' + path;

        NL.OtherLib.Q.when()
            .then(function () {
                return $.ajax({url: path});
            })
            .then(
                function (data) {
                    var code = data;
                    var htmlCode = utils.getHtmlCode(code);
                    var jsCode = utils.getJsCode(code);

                    runHtmlCode(htmlCode);
                    runJsCode(jsCode);
                },
                function () {
                    console.error(arguments);
                }
            )
        ;

    };

    var process_type_003 = function () {
        var classEntityName = decodeURIComponent(queryStringObject.classentityname);
        var classEntity = _(dataBase.classEntityList).find(function (m) {
            return m.name === classEntityName;
        });

        var urlList = _(classEntity.runMochaEntityList).map(function (m) {
            return NL.Common.Url.join('../from-source-code/', m.path);
        });

        var promiseList = _(urlList).map(function (url) {
            return NL.OtherLib.Q.when()
                .then(function () {
                    return $.ajax({url: url, dataType: 'text'});
                })
                .then(
                    function (data) {
                        return NL.OtherLib.Q.when({code: data});
                    },
                    function () {
                        console.error(arguments);
                    }
                );
        });

        NL.OtherLib.Q
            .all(promiseList)
            .then(function (list) {
                mocha.setup({ui: 'bdd', timeout: 10000});

                _.each(list, function (m) {
                    var code = m.code;
                    eval(code);
                });

                mocha.run();
            });

    };

    switch (type) {
        case '001':
            process_type_001();
            break;

        case '002':
            process_type_002();
            break;

        case '003':
            process_type_003();
            break;

        case 'default':
            process_type_default();
            break;
    }
};

init();