var utils = (function () {
    var getHtmlCode = function (pCode) {
        var returnValue = '';

        var str = pCode;
        var reg = /<html>[\s\S]*?<body>([\s\S]*?)<\/body>[\s\S]*?<\/html>/gi;

        var result;
        while ((result = reg.exec(str)) !== null) {
            if (result.length == 2) {
                returnValue = result[1];
            }
        }

        return returnValue;
    };
    var getJsCode = function (pCode) {
        var returnValue = '';

        var str = pCode;
        var reg = /<script>([\s\S]*?)<\/script>/gi;

        var result;
        while ((result = reg.exec(str)) !== null) {
            if (result.length == 2) {
                returnValue = result[1];
            }
        }

        return returnValue;
    };

    var o = {};
    o.getHtmlCode = getHtmlCode;
    o.getJsCode = getJsCode;
    return o;
})();

var logger = (function () {
    var createDivString = function (pValue) {
        var s = '';
        s += '<div class="bg-back padding">';
        s += '<span><strong>' + 'log：' + '</strong></span>';
        s += '<span>' + pValue + '</span>';
        s += '</div>';
        return s;
    };

    var log = function (pValue) {
        var value;
        if (typeof pValue === 'object') {
            value = JSON.stringify(pValue);
        } else {
            value = pValue;
        }

        var s = createDivString(value);

        $('#console').append(s);
    };

    var o = {};
    o.log = log;
    return o;
})();

var log = logger.log;