const isString = require(`lodash/isString`);

/**
 * @module nllib
 */

/**
 * 判断是否为string类型的数据
 *
 * @class nllib/src/convert/is_string
 * @static
 * @param {object} pValue 要判断的原始数据
 * @return {boolean} 是否为string类型的数据
 *
 * @demo src/convert/demo/is_string.demo.js
 */

const is_string = function (pValue) {
    return isString(pValue);
};

module.exports = is_string;
