const extend = require(`extend`);
const _ = require(`underscore`);

const to_lower_case_property_name_object = function (pParameter) {
    if (arguments.length === 1) {
        if (!pParameter.hasOwnProperty('srcObject')) {
            pParameter = {
                srcObject: pParameter
            };
        }
    }

    const defaultParameter = {};
    defaultParameter.srcObject = null;

    const parameter = {};
    extend(parameter, defaultParameter, pParameter);

    const o = {};
    _.each(parameter.srcObject, function (propertyValue, propertyName) {
        const value = propertyValue;
        const name = propertyName.toLowerCase();
        o[name] = value;
    });

    return o;
};

module.exports = to_lower_case_property_name_object;