const extend = require(`extend`);
const _ = require(`underscore`);

const dict = function dict(pInitParameter) {
    const _this = this;

    const defaultInitParameter = {};
    defaultInitParameter.initType = `000`;
    defaultInitParameter.initParameter = {};
    defaultInitParameter.initParameter[`000`] = {};
    defaultInitParameter.initParameter[`000`].entityDefine = {
        value: ``,
        text: ``,
    };
    defaultInitParameter.initParameter[`000`].entityList = null;

    const initParameter = extend(true, defaultInitParameter, pInitParameter);

    const process_initType_000 = function () {
        const valuePropertyName = initParameter.initParameter[`000`].entityDefine.value;
        const textPropertyName = initParameter.initParameter[`000`].entityDefine.text;

        const entityList = initParameter.initParameter[`000`].entityList;

        const list_001 = _.map(entityList, function (m) {
            return m[textPropertyName];
        });
        const list_002 = _.map(entityList, function (m) {
            return m[valuePropertyName];
        });
        const map = _.object(list_001, list_002);
        const _map = _.object(list_002, list_001);

        const mapEntity = _.chain(map)
            .mapObject(function (propertyValue) {
                const entity = _.find(entityList, function (m) {
                    return m[valuePropertyName] === propertyValue;
                });
                return entity;
            })
            .value();

        const _mapEntity = _.chain(_map)
            .mapObject(function (propertyValue) {
                const entity = _.find(entityList, function (m) {
                    return m[textPropertyName] === propertyValue;
                });
                return entity;
            })
            .value();

        _this.entityList = entityList;

        _this.map = map;

        _this._map = _map;

        _this.mapEntity = mapEntity;

        _this._mapEntity = _mapEntity;
    };

    switch (initParameter.initType) {
        case `000`:
            process_initType_000();
            break;
    }
};

module.exports = dict;
