const dict = require(`../dict`);

const dict_cache_key = new dict({
    initType: `000`,
    initParameter: {
        '000': {
            entityDefine: {
                text: `key`,
                value: `value`
            },
            entityList: [
                {
                    key: `jxpt_front_end_oauth_sso_token`,
                    value: `persistent_jxpt_front_end_oauth_sso_token`,
                    remarks: `sso登录后的token`,
                },
                {
                    key: `jxpt_front_end_oauth_sso_environment`,
                    value: `persistent_jxpt_front_end_oauth_sso_environment`,
                    remarks: `sso登录后的environment`,
                },
            ]
        }
    }
});

module.exports = dict_cache_key;