const child_process = {};
child_process.exec = require(`./child_process/exec`);
child_process.execSync = require(`./child_process/execSync`);

//----------------------------------------------------------------------------------------------------------------------
const common = {};
common.get_uuid = require(`./common/get_uuid`);
common.get_parameter_from_cli = require(`./common/get_parameter_from_cli`);

//----------------------------------------------------------------------------------------------------------------------
const convert = {};
convert.to_boolean = require(`./convert/to_boolean`);
convert.to_bool = require(`./convert/to_boolean`);
convert.to_int = require(`./convert/to_int`);
convert.to_lower_case_property_name_object = require(`./convert/to_lower_case_property_name_object`);

//----------------------------------------------------------------------------------------------------------------------
const dict = require(`./dict`);

//----------------------------------------------------------------------------------------------------------------------
const dicts = {};
dicts.dict_environment = require(`./dicts/dict_environment`);

//----------------------------------------------------------------------------------------------------------------------
const json = {};
json.to_json = require(`./json/to_json`);
json.to_object = require(`./json/to_object`);

//----------------------------------------------------------------------------------------------------------------------
const path = {};
path.linux_to_windows = require(`./path/linux_to_windows`);
path.windows_to_linux = require(`./path/windows_to_linux`);

//----------------------------------------------------------------------------------------------------------------------
const systemDocking = {};

systemDocking.aliyun = {};

systemDocking.aliyun.imageRecognition = {};
systemDocking.aliyun.imageRecognition.backend = {};
systemDocking.aliyun.imageRecognition.backend.client = require(`./system-docking/aliyun/image-recognition/backend/client`);

systemDocking.aliyun.openSearch = {};
systemDocking.aliyun.openSearch.backend = {};
systemDocking.aliyun.openSearch.backend.client = require(`./system-docking/aliyun/open-search/backend/client`);

systemDocking.aliyun.oss = {};
systemDocking.aliyun.oss.backend = {};
systemDocking.aliyun.oss.backend.client = require(`./system-docking/aliyun/oss/backend/client`);

systemDocking.aliyun.sts = {};
systemDocking.aliyun.sts.backend = {};
systemDocking.aliyun.sts.backend.client = require(`./system-docking/aliyun/sts/backend/client`);

systemDocking.aliyun.tableStore = {};
systemDocking.aliyun.tableStore.backend = {};
systemDocking.aliyun.tableStore.backend.client = require(`./system-docking/aliyun/table-store/backend/client`);

systemDocking.aliyun.vod = {};
systemDocking.aliyun.vod.backend = {};
systemDocking.aliyun.vod.backend.client = require(`./system-docking/aliyun/vod/backend/client`);

systemDocking.goeasy = {};
systemDocking.goeasy.backend = {};
systemDocking.goeasy.backend.client = require(`./system-docking/goeasy/backend/client`);

systemDocking.sso = {};
systemDocking.sso.backend = {};
systemDocking.sso.backend.get_token = require(`./system-docking/sso/backend/get_token`);

systemDocking.winrar = require(`./system-docking/winrar`);


//----------------------------------------------------------------------------------------------------------------------
const uri = {};
uri.join = require(`./uri/join`);

//----------------------------------------------------------------------------------------------------------------------
module.exports = {
    child_process,
    common,
    convert,
    dict,
    dicts,
    json,
    path,
    systemDocking,
    uri,
};

