const set = require(`../cache/set`);
const dict_cache_key = require(`../dicts/dict_cache_key`);

const set_token = function (pParameter) {
    if (!pParameter) {
        pParameter = {};
    }

    const key = pParameter.key || dict_cache_key.map.jxpt_front_end_oauth_sso_token;
    const token = pParameter.token;

    if (!token) {
        const msg = 'set_token parameter error, code=001';
        console.error(msg);
        return;
    }

    set({
        key: key,
        value: token,
    });
};

module.exports = set_token;
