const dict_reg = require(`../../dict_reg`);

/**
 * @module nllib
 */

/**
 * 检测指定字符串是否为合法的手机号码
 *
 * @class nllib/src/verification/check_phone
 * @static
 * @param {object} pParameter
 * @param {string} pParameter.value 定字符串
 * @return {boolean} 指定字符串是否为合法的手机号码
 *
 * @demo src/verification/check_phone/1.0.0/demo/index.demo.js
 */
const check_phone = dict_reg.mapEntity.phone.check;

module.exports = check_phone;
