const isBoolean = require('lodash/isBoolean');

/**
 * @module nllib
 */

/**
 * 判断是否为boolean类型的数据
 *
 * @class nllib/src/convert/is_boolean
 * @static
 * @param {object} pValue 要判断的原始数据
 * @return {boolean} 是否为boolean类型的数据
 *
 * @demo src/convert/demo/is_boolean.demo.js
 */

const is_boolean = function (pValue) {
    let flag = false;
    if (!isBoolean(pValue)) {
        return flag;
    }

    flag = true;
    return flag;
};

module.exports = is_boolean;
