const isInteger = require(`lodash/isInteger`);

/**
 * @module nllib
 */

/**
 * 判断是否为int类型的数据
 *
 * @class nllib/src/convert/is_int
 * @static
 * @param {object} pValue 要判断的原始数据
 * @return {boolean} 是否为int类型的数据
 *
 * @demo src/convert/demo/is_int.demo.js
 */

const is_int = function (pValue) {
    return isInteger(pValue);
};

module.exports = is_int;
