//<editor-fold desc="node core modules">
// const path = require(`path`);
//</editor-fold>

//<editor-fold desc="npm modules">
// const fs = require(`fs-extra`);
const extend = require(`extend`);
// const Q = require(`q`);
// const _ = require(`underscore`);
const moment = require(`moment`);
// const URI = require(`urijs`);
//</editor-fold>

module.exports = function (pParameter) {
    const File = global.File;
    const createdDate = moment();

    if (!pParameter) {
        pParameter = {};
    }

    const defaultParameter = {};
    defaultParameter.createType = `000`;
    defaultParameter.createTypeParameter = {};
    defaultParameter.createTypeParameter[`000`] = {};
    defaultParameter.createTypeParameter[`000`].fileContent = createdDate.format(`YYYY-MM-DD HH:mm:ss`);
    defaultParameter.createTypeParameter[`000`].fileName = `${createdDate.format(`YYYY-MM-DD-HHmmss`)}.txt`;
    defaultParameter.createTypeParameter[`000`].type = `text/plain;charset=utf-8`;

    defaultParameter.createTypeParameter[`100`] = {};

    const parameter = extend(true, {}, defaultParameter, pParameter);

    const returnValue = {};

    const process_createType_000 = function () {
        const p = parameter.createTypeParameter[`000`];

        const fileContent = p.fileContent;
        const parts = [fileContent];
        const fileName = p.fileName;
        const file = new File(parts, fileName, {type: p.type});

        returnValue.createType = parameter.createType;
        returnValue.createdDate = createdDate;
        returnValue.fileContent = fileContent;
        returnValue.fileName = fileName;
        returnValue.file = file;
    };

    switch (parameter.createType) {
        case `000`:
            process_createType_000();
            break;
    }

    return returnValue;
};

