const set = require(`../cache/set`);
const dict_cache_key = require(`../dicts/dict_cache_key`);

const set_environment = function (pParameter) {
    if (!pParameter) {
        pParameter = {};
    }

    const environment = pParameter.environment;

    if (!environment) {
        const msg = 'set_environment parameter error, code=001';
        console.error(msg);
        return;
    }

    const key = dict_cache_key.map.jxpt_front_end_oauth_sso_environment;

    set({
        key: key,
        value: environment,
    });

};

module.exports = set_environment;